@import "../variables.scss";

.start-view {
    .header-image {
        width: 100%;
        height: 20vw;
        max-height: 500px;
        flex-shrink: 0;
        background-image: url("/image_desktop.png");
        background-position-x: 0;
        background-position-y: center;
        background-size: cover;

        @media only screen and (max-width: $customBreakpoint) {
            height: 200px;
            background-image: url("/image_mobile.png");
        }
    }

    .mission {
        position: relative;
        padding: 20px 0;

        @media only screen and (max-width: $customBreakpoint) {
            padding: 25px 0;
        }

        .bg-icon {
            height: 258px;
            right: 100px;
            position: absolute;
            top: -60px;
            width: 322px;
            margin-top: 1%;

            @media only screen and (max-width: $customBreakpoint) {
                height: 193.5px;
                right: 30px;
                top: 10px;
                width: 241.5px;
                margin-top: 1%;
            }
        }
    }

    .how-to {
        padding-bottom: 80px;
        @media only screen and (max-width: $customBreakpoint) {
            padding: 25px 0;
        }

        .how-to-entries {
            padding-top: 32px;
            //padding-left: 200px;
            overflow: auto;
        }
    }

    .resources {
        background: #a4e5ec30;
        padding: 60px 0;
        @media only screen and (max-width: $customBreakpoint) {
            padding: 40px 0;
        }

        .entries {
            overflow: auto;
        }
    }

    .graph {
        padding: 60px 0 0px;
    }

    .get-involved {
        padding: 70px 0 130px;

        @media only screen and (max-width: $customBreakpoint) {
            padding: 30px 0 13px;
        }
    }

    .text-centered-box {
        padding: 0px 20px;

        @media only screen and (max-width: $customBreakpoint) {
            padding: 0px 20px;
        }

        .text-centered-box-header {
            color: #000;
            font-size: 24px;
            font-style: normal;
            font-weight: 400;
            line-height: normal;
            text-transform: uppercase;
            padding-bottom: 18px;
        }

        .text-centered-box-text {
            color: #000;
            font-size: 16px;
            font-style: normal;
            font-weight: 400;
            line-height: 26px;

            .bold {
                font-weight: 700;
            }

            .link {
                color: var(--primary-primary-main);
                text-decoration: underline;
            }
        }
    }

    @media only screen and (max-width: $customBreakpoint) {
        $scrollbar-height: 5px;
        $padding-scrollbar-width: 2px;

        ::-webkit-scrollbar {
            height: $scrollbar-height;
        }

        ::-webkit-scrollbar-track {
            background-color: #05668d80;
            border-top: $padding-scrollbar-width solid white;
            border-bottom: $padding-scrollbar-width solid white;
        }

        ::-webkit-scrollbar-thumb {
            background-color: var(--primary-primary-main);
        }
    }
}
